This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 838266 - rfe: Imagefactory should allow thin provisioning for vsphere
rfe: Imagefactory should allow thin provisioning for vsphere
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Ian McLeod
Rehana
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 01:49 EDT by Justin Clift
Modified: 2015-07-13 00:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2012-07-08 01:49:59 EDT
Description of problem:

  vSphere images created by Imagefactory, are done using "thick" provisioned vmdk files.  This causes extreme disk wastage in the vSphere environment.

  Imagefactory needs to have the option to use "thin provisioning" for vmdk images, for vsphere.  (and maybe do it by default)

  This option could initially be set in the /etc/aeolus-configure/nodes/vsphere_configure file, (ie "provision-default: thin") for use by aeolus-configure.

  aeolus-configure would then set up imagefactory appropriately (/etc/imagefactory/vsphere.json or something.)


Version-Release number of selected component (if applicable):

  imagefactory-1.1.1-1.fc16.noarch

How reproducible:

  Every time.

Note You need to log in before you can comment on or make changes to this bug.